## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMapKeyTraits< XalanQName > Struct Template Reference

Inheritance diagram for XalanMapKeyTraits< XalanQName >:

[legend]
List of all members.

## Public Types

- typedef XalanHashMemberReference<
  XalanQName > Hasher
- typedef XALAN_STD_QUALIFIER
  equal_to< XalanQName > Comparator

### template<>
struct XalanMapKeyTraits< XalanQName >

## Member Typedef Documentation

typedef XALAN_STD_QUALIFIER equal_to<XalanQName> XalanMapKeyTraits< XalanQName >::Comparator

typedef XalanHashMemberReference<XalanQName> XalanMapKeyTraits< XalanQName >::Hasher

The documentation for this struct was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.